package sax;
// IO
import java.io.InputStream;
import java.io.FileInputStream;
// SAX
import javax.xml.parsers.SAXParserFactory;
import javax.xml.parsers.SAXParser;

/**
 * Lecture triviale d'un document XML avec SAX
 * @author O. Carton
 * @version 1.0
 */
public class TrivialSAXRead {
   public static void main(String [] args)
       throws Exception
   {
       // Création de la fabrique de parsers
       SAXParserFactory parserFactory = SAXParserFactory.newInstance();
       // Création du parser
       SAXParser parser = parserFactory.newSAXParser();

       // Lecture de chaque fichier passé en paramètre
       for(int i = 0; i < args.length; i++) {
	   // Flux d'entrée
	   InputStream is = new FileInputStream(args[i]);
	   parser.parse(is, new TrivialSAXHandler());
       }
   }
}